"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const collector_1 = require("./collector");
exports.streamCollector = function streamCollector(stream) {
    return new Promise((resolve, reject) => {
        const collector = new collector_1.Collector();
        stream.pipe(collector);
        stream.on("error", err => {
            // if the source errors, the destination stream needs to manually end
            collector.end();
            reject(err);
        });
        collector.on("error", reject);
        collector.on("finish", function () {
            const bytes = new Uint8Array(Buffer.concat(this.bufferedBytes));
            resolve(bytes);
        });
    });
};
//# sourceMappingURL=index.js.map